<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_margin="40dp"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="120dp"
        android:orientation="vertical"
        android:background="@mipmap/bg_app_update">
        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="发现新版本"
            android:textStyle="bold"
            android:layout_marginTop="48dp"
            android:layout_marginLeft="20dp"
            android:textColor="@color/platform_white"
            android:textSize="22dp" />
        <TextView
            android:id="@+id/text_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@+id/tv_title"
            android:layout_alignTop="@+id/tv_title"
            android:gravity="center_vertical"
            android:textColor="@color/platform_white"
            android:layout_marginLeft="5dp"
            android:textSize="12dp"
            android:layout_marginTop="7dp"
            android:paddingLeft="4dp"
            android:paddingRight="4dp"
            android:background="@drawable/platform_bg_radius_green_5"
            tools:text="V3.8.20"/>
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/tv_title"
            android:textColor="@color/platform_white"
            android:textSize="10dp"
            android:layout_marginTop="5dp"
            android:layout_alignLeft="@+id/tv_title"
            android:text="壹点灵·温暖而有力地爱着你"/>
    </RelativeLayout>

    <LinearLayout
        android:id="@+id/lin_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingLeft="27dp"
        android:paddingRight="27dp"
        android:paddingTop="20dp"
        android:layout_marginTop="-1dp"
        android:paddingBottom="20dp"
        android:background="@color/platform_white">
        <TextView
            android:id="@+id/tv_update_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textSize="14dp"
            android:maxLines="3"
            android:lineSpacingMultiplier="1.3"
            android:textColor="#242424"
            android:scrollbars="vertical"
            android:fadeScrollbars="false"
            tools:text="以下是 QQ8.1 体验版更新日志：项，提醒成员关注重要事件;\n2、群文件可创建文件夹，自定分类轻松;\n3、新增“群助手”，群消息自定义收起，消息管理更轻松。" />
        <TextView
            android:id="@+id/text_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:textSize="14dp"
            android:maxLines="4"
            android:lineSpacingMultiplier="1.3"
            android:textColor="@color/platform_color_666666"
            android:scrollbars="vertical"
            android:fadeScrollbars="false"
            tools:text="1.优化私聊功能\n2.咨询业务算法调整"/>
    </LinearLayout>

    <android.support.constraint.ConstraintLayout
        android:id="@+id/lin_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="30dp"
        android:paddingBottom="15dp"
        android:visibility="gone"
        tools:visibility="visible"
        android:orientation="vertical"
        android:background="@color/platform_white">

        <ProgressBar
            android:id="@+id/progress_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:progressDrawable="@drawable/platform_progressbar_update_style"
            android:max="100"
            android:maxHeight="10dp"
            android:minHeight="10dp"
            tools:progress="50"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            app:layout_constraintBottom_toBottomOf="@+id/v_downpress"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            android:layout_marginBottom="10.5dp"
            android:background="@color/platform_grey_white_has_alpha"/>

        <com.ydl.ydlcommon.view.widgets.DownProgressView
            android:id="@+id/v_downpress"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="15dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintLeft_toLeftOf="@+id/progress_bar"
            app:layout_constraintRight_toRightOf="@+id/progress_bar"/>

    </android.support.constraint.ConstraintLayout>

    <LinearLayout
        android:id="@+id/lin_sure"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="@dimen/platform_default_dis_size_huge"
        android:orientation="vertical"
        android:background="@color/platform_white">

        <TextView
            android:id="@+id/tv_confirm"
            android:layout_width="200dp"
            android:layout_height="42dp"
            android:text="立即升级"
            android:textSize="17dp"
            android:gravity="center"
            android:layout_gravity="center_horizontal"
            android:background="@drawable/platform_bg_radius_green_20"
            android:textColor="@color/platform_white" />

    </LinearLayout>

    <TextView
        android:id="@+id/tv_bottom_desc"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:text="92%的用户已选择升级"
        android:textSize="10dp"
        android:gravity="center"
        android:paddingTop="8dp"
        android:paddingBottom="15dp"
        android:background="@drawable/platform_bg_radius_bottom_white_10"
        android:layout_gravity="center_horizontal"
        android:textColor="@color/platform_color_999999" />

    <ImageView
        android:id="@+id/iv_close"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:src="@mipmap/ico_close"
        android:layout_marginTop="30dp"
        android:layout_gravity="center_horizontal"/>


</LinearLayout>